cxlgt(1)

NAME
cxlgt - Logtalk integration script for CxProlog

SYNOPSIS
cxlgt [--quiet] [--goal goal]

DESCRIPTION
cxlgt is a Logtalk integration script for CxProlog. It automatically loads the CxProlog adapter file, the Logtalk compiler and runtime, the Logtalk default table of library names and paths, and any existing settings file found on the lookup directories. It uses the cxprolog executable --script option to load the Logtalk files. It passes any options to the cxprolog executable; see the CxProlog documentation for the available options.

OPTIONS
The two most common options are:

--quiet
    Silence Logtalk default startup messages and compilation messages by setting the report flag to warnings.

--goal
    goal Initialization goal, written between double quotes, to be executed after Logtalk startup.

REQUIREMENTS
CxProlog 0.98.1 or a later version is required. This integration script looks for a cxprolog executable in the system path.

ENVIRONMENT

LOGTALKHOME
    Specifies the location of the Logtalk installation.

LOGTALKUSER
    Specifies the location of the Logtalk user directory.

FILES

$LOGTALKHOME/integration/logtalk_cx.pl
    Prolog file used for loading the necessary files for starting Logtalk using CxProlog as the backend compiler.

$LOGTALKHOME/adapters/cx.pl
    The CxProlog adapter file.

$LOGTALKHOME/core/core.pl
    The Logtalk core compiler and runtime file.

$LOGTALKHOME/paths/paths.pl
    The default table of library names and paths.

./settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). It may not exist.

$LOGTALKUSER/settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). It may not exist.

$HOME/settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). It may not exist.

$XDG_CONFIG_HOME/logtalk/settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). It may not exist.

$HOME/.config/logtalk/settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). It may not exist.

SEE ALSO
The Logtalk website at https://logtalk.org/

The Logtalk Handbook at $LOGTALKHOME/docs/handbook/index.html

The CxProlog website at http://ctp.di.fct.unl.pt/~amd/cxprolog/

logtalk_user_setup(1), logtalk_version_select(1), logtalk_backend_select(1)

AUTHOR
Paulo Moura <pmoura@logtalk.org>

COPYRIGHT
Copyright (c) 1998-2025 Paulo Moura.